Package com.ngrok.definitions

# Class EndpointOidc

java.lang.Object
com.ngrok.definitions.EndpointOidc

public class EndpointOidc extends Object
A class encapsulating the `EndpointOidc` resource.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `EndpointOidc.Builder`
  Builder class for `EndpointOidc`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getClientId()`
  The OIDC app's client ID and OIDC audience.
  `String`
  `getClientSecret()`
  The OIDC app's client secret.
  `String`
  `getCookiePrefix()`
  the prefix of the session cookie that ngrok sets on the http client to cache authentication.
  `Optional<Boolean>`
  `getEnabled()`
  `true` if the module will be applied to traffic, `false` to disable.
  `long`
  `getInactivityTimeout()`
  Integer number of seconds of inactivity after which if the user has not accessed the endpoint, their session will time out and they will be forced to reauthenticate.
  `String`
  `getIssuer()`
  URL of the OIDC "OpenID provider".
  `Duration`
  `getMaximumDuration()`
  Integer number of seconds of the maximum duration of an authenticated session.
  `boolean`
  `getOptionsPassthrough()`
  Do not enforce authentication on HTTP OPTIONS requests.
  `List<String>`
  `getScopes()`
  The set of scopes to request from the OIDC identity provider.
  `int`
  `hashCode()`
  `static EndpointOidc.Builder`
  `newBuilder()`
  Creates a new builder for the `EndpointOidc` type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### newBuilder

    public static EndpointOidc.Builder newBuilder()
    Creates a new builder for the `EndpointOidc` type.
    Returns:
      a new `EndpointOidc.Builder`

  - ### getEnabled

    public Optional<Boolean> getEnabled()
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Returns:
      the value of the property as a `boolean` wrapped in an `Optional`

  - ### getOptionsPassthrough

    public boolean getOptionsPassthrough()
    Do not enforce authentication on HTTP OPTIONS requests. necessary if you are supporting CORS.
    Returns:
      the value of the property as a `boolean`

  - ### getCookiePrefix

    public String getCookiePrefix()
    the prefix of the session cookie that ngrok sets on the http client to cache authentication. default is 'ngrok.'
    Returns:
      the value of the property as a `String`

  - ### getInactivityTimeout

    public long getInactivityTimeout()
    Integer number of seconds of inactivity after which if the user has not accessed the endpoint, their session will time out and they will be forced to reauthenticate.
    Returns:
      the value of the property as a `long`

  - ### getMaximumDuration

    public Duration getMaximumDuration()
    Integer number of seconds of the maximum duration of an authenticated session. After this period is exceeded, a user must reauthenticate.
    Returns:
      the value of the property as a `Duration`

  - ### getIssuer

    public String getIssuer()
    URL of the OIDC "OpenID provider". This is the base URL used for discovery.
    Returns:
      the value of the property as a `String`

  - ### getClientId

    public String getClientId()
    The OIDC app's client ID and OIDC audience.
    Returns:
      the value of the property as a `String`

  - ### getClientSecret

    public String getClientSecret()
    The OIDC app's client secret.
    Returns:
      the value of the property as a `String`

  - ### getScopes

    public List<String> getScopes()
    The set of scopes to request from the OIDC identity provider.
    Returns:
      the value of the property as a `List` of `String`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`